<?php

require 'header.php';
require 'variables.php';
require 'functions.php';

require_login();

$curpath = $_SESSION['bookdir'];

?><!DOCTYPE html><html><head>
<meta charset="utf-8">
<meta name="viewport" content="height=device-height, initial-scale=1.0, minimum-scale=1.0, maximum-scale=3.0, width=device-width, user-scalable=no">
<title>E-Book Resource</title>
<link rel='stylesheet' type='text/css' href='core/jquery.toast.min.css' media='screen' />
<link rel='stylesheet' type='text/css' href='core/jquery-ui-1.14.1/jquery-ui.min.css' media='screen' />
<link rel='stylesheet' type='text/css' href='css/books.css' media='screen' />
<script>
  /*to prevent Firefox FOUC, this must be here*/
  let FF_FOUC_FIX;
</script>
</head>
<body>
<div class='pageheader' id='pageheader'>
  <span id='amazonlink'></span>
  <input type='text' size=15 id='search'>
</div>
<div class='pathtree' id='pathtree'>
  <div id='bookshome'>Books Home</div>
  <div id='curpath' class='hide pathpad_1'></div>
</div>
<div class='foldercontents' id='foldercontents'></div>
<div id='setkindle' title='Set Kindle Email Address' class='hide'>
  <div>
    <label for="edit_kindle"><b>Kindle Email</b></label>
    <p />
    <input placeholder="Enter Address" name="edit_kindle" id="edit_kindle" size="40" required>
  </div>
</div>
<script type='text/javascript' src='core/jquery-3.6.3.min.js'></script>
<script type='text/javascript' src='core/jquery-ui-1.14.1/jquery-ui.min.js'></script>
<script type='text/javascript' src='core/jquery.toast.min.js'></script>
<script type='text/javascript' src='js/books.js'></script>
</body>
</html>
<?php

// vim: sw=2 ts=2 et mouse-=a:
