<?php

require '../header.php';
require '../variables.php';
require '../functions.php';

$validated = require_login(NOREDIRECT);

$data = array();
$data['changed'] = false;
$data['validated'] = $validated;

function sendResponse($data) {
   header('Content-Type: application/json');
   echo json_encode($data);
   exit();
}

if ( !$validated ) sendResponse($data);

if ( isset($_REQUEST['newpath']) ) {
   $newpath = makePathSafe($_REQUEST['newpath']);
   if ( is_dir(BOOKDIR . $newpath) ) {
      $_SESSION['bookdir'] = $newpath;
      $data['changed'] = true;
   }
}

$data['bookdir'] = $_SESSION['bookdir'];
$data['bookdirname'] = basename($_SESSION['bookdir']);

sendResponse($data);

// vim: ts=3 sw=3 et:
